#include "colors.h"

const ColorInfo color_data[] = {
  { "Air Superiority Blue", { 114, 160, 193 } },
  { "Alabama Crimson", { 163, 38, 56 } },
  { "Alice Blue", { 240, 248, 255 } },
  { "Alizarin Crimson", { 227, 38, 54 } },
  { "Alloy Orange", { 196, 98, 16 } },
  { "Almond", { 239, 222, 205 } },
  { "Amaranth", { 229, 43, 80 } },
  { "Amber", { 255, 191, 0 } },
  { "American Rose", { 255, 3, 62 } },
  { "Amethyst", { 153, 102, 204 } },
  { "Android Green", { 164, 198, 57 } },
  { "Anti-Flash White", { 242, 243, 244 } },
  { "Antique Brass", { 205, 149, 117 } },
  { "Antique Fuchsia", { 145, 92, 131 } },
  { "Antique Ruby", { 132, 27, 45 } },
  { "Antique White", { 250, 235, 215 } },
  { "Apple Green", { 141, 182, 0 } },
  { "Apricot", { 251, 206, 177 } },
  { "Aqua", { 0, 255, 255 } },
  { "Aquamarine", { 127, 255, 212 } },
  { "Army Green", { 75, 83, 32 } },
  { "Arsenic", { 59, 68, 75 } },
  { "Arylide Yellow", { 233, 214, 107 } },
  { "Ash Grey", { 178, 190, 181 } },
  { "Asparagus", { 135, 169, 107 } },
  { "Atomic Tangerine", { 255, 153, 102 } },
  { "Auburn", { 165, 42, 42 } },
  { "Aureolin", { 253, 238, 0 } },
  { "Aurometalsaurus", { 110, 127, 128 } },
  { "Avocado", { 86, 130, 3 } },
  { "Azure", { 0, 127, 255 } },
  { "Baby Blue", { 137, 207, 240 } },
  { "Baby Blue Eyes", { 161, 202, 241 } },
  { "Baby Pink", { 244, 194, 194 } },
  { "Ball Blue", { 33, 171, 205 } },
  { "Banana Mania", { 250, 231, 181 } },
  { "Banana Yellow", { 255, 225, 53 } },
  { "Barn Red", { 124, 10, 2 } },
  { "Battleship Grey", { 132, 132, 130 } },
  { "Bazaar", { 152, 119, 123 } },
  { "Beau Blue", { 188, 212, 230 } },
  { "Beaver", { 159, 129, 112 } },
  { "Beige", { 245, 245, 220 } },
  { "Big Dip O’Ruby", { 156, 37, 66 } },
  { "Bisque", { 255, 228, 196 } },
  { "Bistre", { 61, 43, 31 } },
  { "Bittersweet", { 254, 111, 94 } },
  { "Bittersweet Shimmer", { 191, 79, 81 } },
  { "Black", { 0, 0, 0 } },
  { "Black Bean", { 61, 12, 2 } },
  { "Black Leather Jacket", { 37, 53, 41 } },
  { "Black Olive", { 59, 60, 54 } },
  { "Blanched Almond", { 255, 235, 205 } },
  { "Blast-Off Bronze", { 165, 113, 100 } },
  { "Bleu De France", { 49, 140, 231 } },
  { "Blizzard Blue", { 172, 229, 238 } },
  { "Blond", { 250, 240, 190 } },
  { "Blue", { 0, 0, 255 } },
  { "Blue Gray", { 102, 153, 204 } },
  { "Blue-Green", { 13, 152, 186 } },
  { "Blue Sapphire", { 18, 97, 128 } },
  { "Blue-Violet", { 138, 43, 226 } },
  { "Blush", { 222, 93, 131 } },
  { "Bole", { 121, 68, 59 } },
  { "Bondi Blue", { 0, 149, 182 } },
  { "Bone", { 227, 218, 201 } },
  { "Boston University Red", { 204, 0, 0 } },
  { "Bottle Green", { 0, 106, 78 } },
  { "Boysenberry", { 135, 50, 96 } },
  { "Brandeis Blue", { 0, 112, 255 } },
  { "Brass", { 181, 166, 66 } },
  { "Brick Red", { 203, 65, 84 } },
  { "Bright Cerulean", { 29, 172, 214 } },
  { "Bright Green", { 102, 255, 0 } },
  { "Bright Lavender", { 191, 148, 228 } },
  { "Bright Maroon", { 195, 33, 72 } },
  { "Bright Pink", { 255, 0, 127 } },
  { "Bright Turquoise", { 8, 232, 222 } },
  { "Bright Ube", { 209, 159, 232 } },
  { "Brilliant Lavender", { 244, 187, 255 } },
  { "Brilliant Rose", { 255, 85, 163 } },
  { "Brink Pink", { 251, 96, 127 } },
  { "British Racing Green", { 0, 66, 37 } },
  { "Bronze", { 205, 127, 50 } },
  { "Brown", { 150, 75, 0 } },
  { "Bubble Gum", { 255, 193, 204 } },
  { "Bubbles", { 231, 254, 255 } },
  { "Buff", { 240, 220, 130 } },
  { "Bulgarian Rose", { 72, 6, 7 } },
  { "Burgundy", { 128, 0, 32 } },
  { "Burlywood", { 222, 184, 135 } },
  { "Burnt Orange", { 204, 85, 0 } },
  { "Burnt Sienna", { 233, 116, 81 } },
  { "Burnt Umber", { 138, 51, 36 } },
  { "Byzantine", { 189, 51, 164 } },
  { "Byzantium", { 112, 41, 99 } },
  { "Cadet", { 83, 104, 114 } },
  { "Cadet Blue", { 95, 158, 160 } },
  { "Cadet Grey", { 145, 163, 176 } },
  { "Cadmium Green", { 0, 107, 60 } },
  { "Cadmium Orange", { 237, 135, 45 } },
  { "Cadmium Red", { 227, 0, 34 } },
  { "Cadmium Yellow", { 255, 246, 0 } },
  { "Cal Poly Green", { 30, 77, 43 } },
  { "Cambridge Blue", { 163, 193, 173 } },
  { "Camel", { 193, 154, 107 } },
  { "Cameo Pink", { 239, 187, 204 } },
  { "Camouflage Green", { 120, 134, 107 } },
  { "Canary Yellow", { 255, 239, 0 } },
  { "Candy Apple Red", { 255, 8, 0 } },
  { "Candy Pink", { 228, 113, 122 } },
  { "Capri", { 0, 191, 255 } },
  { "Caput Mortuum", { 89, 39, 32 } },
  { "Cardinal", { 196, 30, 58 } },
  { "Caribbean Green", { 0, 204, 153 } },
  { "Carmine", { 150, 0, 24 } },
  { "Carmine Pink", { 235, 76, 66 } },
  { "Carmine Red", { 255, 0, 56 } },
  { "Carnation Pink", { 255, 166, 201 } },
  { "Carnelian", { 179, 27, 27 } },
  { "Carolina Blue", { 153, 186, 221 } },
  { "Carrot Orange", { 237, 145, 33 } },
  { "Catalina Blue", { 6, 42, 120 } },
  { "Ceil", { 146, 161, 207 } },
  { "Celadon", { 172, 225, 175 } },
  { "Celadon Blue", { 0, 123, 167 } },
  { "Celadon Green", { 47, 132, 124 } },
  { "Celeste", { 178, 255, 255 } },
  { "Celestial Blue", { 73, 151, 208 } },
  { "Cerise", { 222, 49, 99 } },
  { "Cerise Pink", { 236, 59, 131 } },
  { "Cerulean", { 0, 123, 167 } },
  { "Cerulean Blue", { 42, 82, 190 } },
  { "Cerulean Frost", { 109, 155, 195 } },
  { "Cg Blue", { 0, 122, 165 } },
  { "Cg Red", { 224, 60, 49 } },
  { "Chamoisee", { 160, 120, 90 } },
  { "Champagne", { 250, 214, 165 } },
  { "Charcoal", { 54, 69, 79 } },
  { "Charm Pink", { 230, 143, 172 } },
  { "Chartreuse", { 223, 255, 0 } },
  { "Cherry", { 222, 49, 99 } },
  { "Cherry Blossom Pink", { 255, 183, 197 } },
  { "Chestnut", { 205, 92, 92 } },
  { "China Pink", { 222, 111, 161 } },
  { "China Rose", { 168, 81, 110 } },
  { "Chinese Red", { 170, 56, 30 } },
  { "Chocolate", { 123, 63, 0 } },
  { "Chrome Yellow", { 255, 167, 0 } },
  { "Cinereous", { 152, 129, 123 } },
  { "Cinnabar", { 227, 66, 52 } },
  { "Cinnamon", { 210, 105, 30 } },
  { "Citrine", { 228, 208, 10 } },
  { "Classic Rose", { 251, 204, 231 } },
  { "Cobalt", { 0, 71, 171 } },
  { "Cocoa Brown", { 210, 105, 30 } },
  { "Coffee", { 111, 78, 55 } },
  { "Columbia Blue", { 155, 221, 255 } },
  { "Congo Pink", { 248, 131, 121 } },
  { "Cool Black", { 0, 46, 99 } },
  { "Cool Grey", { 140, 146, 172 } },
  { "Copper", { 184, 115, 51 } },
  { "Copper Penny", { 173, 111, 105 } },
  { "Copper Red", { 203, 109, 81 } },
  { "Copper Rose", { 153, 102, 102 } },
  { "Coquelicot", { 255, 56, 0 } },
  { "Coral", { 255, 127, 80 } },
  { "Coral Pink", { 248, 131, 121 } },
  { "Coral Red", { 255, 64, 64 } },
  { "Cordovan", { 137, 63, 69 } },
  { "Corn", { 251, 236, 93 } },
  { "Cornell Red", { 179, 27, 27 } },
  { "Cornflower Blue", { 100, 149, 237 } },
  { "Cornsilk", { 255, 248, 220 } },
  { "Cosmic Latte", { 255, 248, 231 } },
  { "Cotton Candy", { 255, 188, 217 } },
  { "Cream", { 255, 253, 208 } },
  { "Crimson", { 220, 20, 60 } },
  { "Crimson Glory", { 190, 0, 50 } },
  { "Cyan", { 0, 255, 255 } },
  { "Daffodil", { 255, 255, 49 } },
  { "Dandelion", { 240, 225, 48 } },
  { "Dark Blue", { 0, 0, 139 } },
  { "Dark Brown", { 101, 67, 33 } },
  { "Dark Byzantium", { 93, 57, 84 } },
  { "Dark Candy Apple Red", { 164, 0, 0 } },
  { "Dark Cerulean", { 8, 69, 126 } },
  { "Dark Chestnut", { 152, 105, 96 } },
  { "Dark Coral", { 205, 91, 69 } },
  { "Dark Cyan", { 0, 139, 139 } },
  { "Dark Electric Blue", { 83, 104, 120 } },
  { "Dark Goldenrod", { 184, 134, 11 } },
  { "Dark Gray", { 169, 169, 169 } },
  { "Dark Green", { 1, 50, 32 } },
  { "Dark Imperial Blue", { 0, 65, 106 } },
  { "Dark Jungle Green", { 26, 36, 33 } },
  { "Dark Khaki", { 189, 183, 107 } },
  { "Dark Lava", { 72, 60, 50 } },
  { "Dark Lavender", { 115, 79, 150 } },
  { "Dark Magenta", { 139, 0, 139 } },
  { "Dark Midnight Blue", { 0, 51, 102 } },
  { "Dark Olive Green", { 85, 107, 47 } },
  { "Dark Orange", { 255, 140, 0 } },
  { "Dark Orchid", { 153, 50, 204 } },
  { "Dark Pastel Blue", { 119, 158, 203 } },
  { "Dark Pastel Green", { 3, 192, 60 } },
  { "Dark Pastel Purple", { 150, 111, 214 } },
  { "Dark Pastel Red", { 194, 59, 34 } },
  { "Dark Pink", { 231, 84, 128 } },
  { "Dark Powder Blue", { 0, 51, 153 } },
  { "Dark Raspberry", { 135, 38, 87 } },
  { "Dark Red", { 139, 0, 0 } },
  { "Dark Salmon", { 233, 150, 122 } },
  { "Dark Scarlet", { 86, 3, 25 } },
  { "Dark Sea Green", { 143, 188, 143 } },
  { "Dark Sienna", { 60, 20, 20 } },
  { "Dark Slate Blue", { 72, 61, 139 } },
  { "Dark Slate Gray", { 47, 79, 79 } },
  { "Dark Spring Green", { 23, 114, 69 } },
  { "Dark Tan", { 145, 129, 81 } },
  { "Dark Tangerine", { 255, 168, 18 } },
  { "Dark Taupe", { 72, 60, 50 } },
  { "Dark Terra Cotta", { 204, 78, 92 } },
  { "Dark Turquoise", { 0, 206, 209 } },
  { "Dark Violet", { 148, 0, 211 } },
  { "Dark Yellow", { 155, 135, 12 } },
  { "Dartmouth Green", { 0, 112, 60 } },
  { "Deep Carmine", { 169, 32, 62 } },
  { "Deep Carmine Pink", { 239, 48, 56 } },
  { "Deep Carrot Orange", { 233, 105, 44 } },
  { "Deep Cerise", { 218, 50, 135 } },
  { "Deep Champagne", { 250, 214, 165 } },
  { "Deep Chestnut", { 185, 78, 72 } },
  { "Deep Coffee", { 112, 66, 65 } },
  { "Deep Fuchsia", { 193, 84, 193 } },
  { "Deep Jungle Green", { 0, 75, 73 } },
  { "Deep Lilac", { 153, 85, 187 } },
  { "Deep Magenta", { 204, 0, 204 } },
  { "Deep Peach", { 255, 203, 164 } },
  { "Deep Pink", { 255, 20, 147 } },
  { "Deep Ruby", { 132, 63, 91 } },
  { "Deep Saffron", { 255, 153, 51 } },
  { "Deep Sky Blue", { 0, 191, 255 } },
  { "Deep Tuscan Red", { 102, 66, 77 } },
  { "Denim", { 21, 96, 189 } },
  { "Desert", { 193, 154, 107 } },
  { "Desert Sand", { 237, 201, 175 } },
  { "Dim Gray", { 105, 105, 105 } },
  { "Dodger Blue", { 30, 144, 255 } },
  { "Dogwood Rose", { 215, 24, 104 } },
  { "Dollar Bill", { 133, 187, 101 } },
  { "Drab", { 150, 113, 23 } },
  { "Duke Blue", { 0, 0, 156 } },
  { "Earth Yellow", { 225, 169, 95 } },
  { "Ebony", { 85, 93, 80 } },
  { "Ecru", { 194, 178, 128 } },
  { "Eggplant", { 97, 64, 81 } },
  { "Eggshell", { 240, 234, 214 } },
  { "Egyptian Blue", { 16, 52, 166 } },
  { "Electric Blue", { 125, 249, 255 } },
  { "Electric Crimson", { 255, 0, 63 } },
  { "Electric Cyan", { 0, 255, 255 } },
  { "Electric Green", { 0, 255, 0 } },
  { "Electric Indigo", { 111, 0, 255 } },
  { "Electric Lavender", { 244, 187, 255 } },
  { "Electric Lime", { 204, 255, 0 } },
  { "Electric Purple", { 191, 0, 255 } },
  { "Electric Ultramarine", { 63, 0, 255 } },
  { "Electric Violet", { 143, 0, 255 } },
  { "Electric Yellow", { 255, 255, 0 } },
  { "Emerald", { 80, 200, 120 } },
  { "English Lavender", { 180, 131, 149 } },
  { "Eton Blue", { 150, 200, 162 } },
  { "Fallow", { 193, 154, 107 } },
  { "Falu Red", { 128, 24, 24 } },
  { "Fandango", { 181, 51, 137 } },
  { "Fashion Fuchsia", { 244, 0, 161 } },
  { "Fawn", { 229, 170, 112 } },
  { "Feldgrau", { 77, 93, 83 } },
  { "Fern Green", { 79, 121, 66 } },
  { "Ferrari Red", { 255, 40, 0 } },
  { "Field Drab", { 108, 84, 30 } },
  { "Fire Engine Red", { 206, 32, 41 } },
  { "Firebrick", { 178, 34, 34 } },
  { "Flame", { 226, 88, 34 } },
  { "Flamingo Pink", { 252, 142, 172 } },
  { "Flavescent", { 247, 233, 142 } },
  { "Flax", { 238, 220, 130 } },
  { "Floral White", { 255, 250, 240 } },
  { "Fluorescent Orange", { 255, 191, 0 } },
  { "Fluorescent Pink", { 255, 20, 147 } },
  { "Fluorescent Yellow", { 204, 255, 0 } },
  { "Folly", { 255, 0, 79 } },
  { "Forest Green", { 1, 68, 33 } },
  { "French Beige", { 166, 123, 91 } },
  { "French Blue", { 0, 114, 187 } },
  { "French Lilac", { 134, 96, 142 } },
  { "French Lime", { 204, 255, 0 } },
  { "French Raspberry", { 199, 44, 72 } },
  { "French Rose", { 246, 74, 138 } },
  { "Fuchsia", { 255, 0, 255 } },
  { "Fuchsia Pink", { 255, 119, 255 } },
  { "Fuchsia Rose", { 199, 67, 117 } },
  { "Fulvous", { 228, 132, 0 } },
  { "Fuzzy Wuzzy", { 204, 102, 102 } },
  { "Gainsboro", { 220, 220, 220 } },
  { "Gamboge", { 228, 155, 15 } },
  { "Ghost White", { 248, 248, 255 } },
  { "Ginger", { 176, 101, 0 } },
  { "Glaucous", { 96, 130, 182 } },
  { "Glitter", { 230, 232, 250 } },
  { "Gold", { 212, 175, 55 } },
  { "Golden Brown", { 153, 101, 21 } },
  { "Golden Poppy", { 252, 194, 0 } },
  { "Golden Yellow", { 255, 223, 0 } },
  { "Goldenrod", { 218, 165, 32 } },
  { "Granny Smith Apple", { 168, 228, 160 } },
  { "Gray", { 128, 128, 128 } },
  { "Gray-Asparagus", { 70, 89, 69 } },
  { "Green", { 0, 255, 0 } },
  { "Green-Yellow", { 173, 255, 47 } },
  { "Grullo", { 169, 154, 134 } },
  { "Guppie Green", { 0, 255, 127 } },
  { "Halayà úBe", { 102, 56, 84 } },
  { "Han Blue", { 68, 108, 207 } },
  { "Han Purple", { 82, 24, 250 } },
  { "Hansa Yellow", { 233, 214, 107 } },
  { "Harlequin", { 63, 255, 0 } },
  { "Harvard Crimson", { 201, 0, 22 } },
  { "Harvest Gold", { 218, 145, 0 } },
  { "Heart Gold", { 128, 128, 0 } },
  { "Heliotrope", { 223, 115, 255 } },
  { "Hollywood Cerise", { 244, 0, 161 } },
  { "Honeydew", { 240, 255, 240 } },
  { "Honolulu Blue", { 0, 127, 191 } },
  { "Hooker'S Green", { 73, 121, 107 } },
  { "Hot Magenta", { 255, 29, 206 } },
  { "Hot Pink", { 255, 105, 180 } },
  { "Hunter Green", { 53, 94, 59 } },
  { "Iceberg", { 113, 166, 210 } },
  { "Icterine", { 252, 247, 94 } },
  { "Imperial Blue", { 0, 35, 149 } },
  { "Inchworm", { 178, 236, 93 } },
  { "India Green", { 19, 136, 8 } },
  { "Indian Red", { 205, 92, 92 } },
  { "Indian Yellow", { 227, 168, 87 } },
  { "Indigo", { 111, 0, 255 } },
  { "International Klein Blue", { 0, 47, 167 } },
  { "International Orange", { 186, 22, 12 } },
  { "Iris", { 90, 79, 207 } },
  { "Isabelline", { 244, 240, 236 } },
  { "Islamic Green", { 0, 144, 0 } },
  { "Ivory", { 255, 255, 240 } },
  { "Jade", { 0, 168, 107 } },
  { "Jasmine", { 248, 222, 126 } },
  { "Jasper", { 215, 59, 62 } },
  { "Jazzberry Jam", { 165, 11, 94 } },
  { "Jet", { 52, 52, 52 } },
  { "Jonquil", { 250, 218, 94 } },
  { "June Bud", { 189, 218, 87 } },
  { "Jungle Green", { 41, 171, 135 } },
  { "Kelly Green", { 76, 187, 23 } },
  { "Kenyan Copper", { 124, 28, 5 } },
  { "Khaki", { 195, 176, 145 } },
  { "Ku Crimson", { 232, 0, 13 } },
  { "La Salle Green", { 8, 120, 48 } },
  { "Languid Lavender", { 214, 202, 221 } },
  { "Lapis Lazuli", { 38, 97, 156 } },
  { "Laser Lemon", { 254, 254, 34 } },
  { "Laurel Green", { 169, 186, 157 } },
  { "Lava", { 207, 16, 32 } },
  { "Lavender Blue", { 204, 204, 255 } },
  { "Lavender Blush", { 255, 240, 245 } },
  { "Lavender Gray", { 196, 195, 208 } },
  { "Lavender Indigo", { 148, 87, 235 } },
  { "Lavender Magenta", { 238, 130, 238 } },
  { "Lavender Mist", { 230, 230, 250 } },
  { "Lavender Pink", { 251, 174, 210 } },
  { "Lavender Purple", { 150, 123, 182 } },
  { "Lavender Rose", { 251, 160, 227 } },
  { "Lawn Green", { 124, 252, 0 } },
  { "Lemon", { 255, 247, 0 } },
  { "Lemon Chiffon", { 255, 250, 205 } },
  { "Lemon Lime", { 227, 255, 0 } },
  { "Licorice", { 26, 17, 16 } },
  { "Light Apricot", { 253, 213, 177 } },
  { "Light Blue", { 173, 216, 230 } },
  { "Light Brown", { 181, 101, 29 } },
  { "Light Carmine Pink", { 230, 103, 113 } },
  { "Light Coral", { 240, 128, 128 } },
  { "Light Cornflower Blue", { 147, 204, 234 } },
  { "Light Crimson", { 245, 105, 145 } },
  { "Light Cyan", { 224, 255, 255 } },
  { "Light Fuchsia Pink", { 249, 132, 239 } },
  { "Light Goldenrod Yellow", { 250, 250, 210 } },
  { "Light Gray", { 211, 211, 211 } },
  { "Light Green", { 144, 238, 144 } },
  { "Light Khaki", { 240, 230, 140 } },
  { "Light Pastel Purple", { 177, 156, 217 } },
  { "Light Pink", { 255, 182, 193 } },
  { "Light Red Ochre", { 233, 116, 81 } },
  { "Light Salmon", { 255, 160, 122 } },
  { "Light Salmon Pink", { 255, 153, 153 } },
  { "Light Sea Green", { 32, 178, 170 } },
  { "Light Sky Blue", { 135, 206, 250 } },
  { "Light Slate Gray", { 119, 136, 153 } },
  { "Light Taupe", { 179, 139, 109 } },
  { "Light Thulian Pink", { 230, 143, 172 } },
  { "Light Yellow", { 255, 255, 224 } },
  { "Lilac", { 200, 162, 200 } },
  { "Lime Green", { 50, 205, 50 } },
  { "Limerick", { 157, 194, 9 } },
  { "Lincoln Green", { 25, 89, 5 } },
  { "Linen", { 250, 240, 230 } },
  { "Lion", { 193, 154, 107 } },
  { "Little Boy Blue", { 108, 160, 220 } },
  { "Liver", { 83, 75, 79 } },
  { "Lust", { 230, 32, 32 } },
  { "Magenta", { 255, 0, 255 } },
  { "Magic Mint", { 170, 240, 209 } },
  { "Magnolia", { 248, 244, 255 } },
  { "Mahogany", { 192, 64, 0 } },
  { "Maize", { 251, 236, 93 } },
  { "Majorelle Blue", { 96, 80, 220 } },
  { "Malachite", { 11, 218, 81 } },
  { "Manatee", { 151, 154, 170 } },
  { "Mango Tango", { 255, 130, 67 } },
  { "Mantis", { 116, 195, 101 } },
  { "Mardi Gras", { 136, 0, 133 } },
  { "Maroon", { 128, 0, 0 } },
  { "Mauve", { 224, 176, 255 } },
  { "Mauve Taupe", { 145, 95, 109 } },
  { "Mauvelous", { 239, 152, 170 } },
  { "Maya Blue", { 115, 194, 251 } },
  { "Meat Brown", { 229, 183, 59 } },
  { "Medium Aquamarine", { 102, 221, 170 } },
  { "Medium Blue", { 0, 0, 205 } },
  { "Medium Candy Apple Red", { 226, 6, 44 } },
  { "Medium Carmine", { 175, 64, 53 } },
  { "Medium Champagne", { 243, 229, 171 } },
  { "Medium Electric Blue", { 3, 80, 150 } },
  { "Medium Jungle Green", { 28, 53, 45 } },
  { "Medium Lavender Magenta", { 221, 160, 221 } },
  { "Medium Orchid", { 186, 85, 211 } },
  { "Medium Persian Blue", { 0, 103, 165 } },
  { "Medium Purple", { 147, 112, 219 } },
  { "Medium Red-Violet", { 187, 51, 133 } },
  { "Medium Ruby", { 170, 64, 105 } },
  { "Medium Sea Green", { 60, 179, 113 } },
  { "Medium Slate Blue", { 123, 104, 238 } },
  { "Medium Spring Bud", { 201, 220, 135 } },
  { "Medium Spring Green", { 0, 250, 154 } },
  { "Medium Taupe", { 103, 76, 71 } },
  { "Medium Turquoise", { 72, 209, 204 } },
  { "Medium Tuscan Red", { 121, 68, 59 } },
  { "Medium Vermilion", { 217, 96, 59 } },
  { "Medium Violet-Red", { 199, 21, 133 } },
  { "Mellow Apricot", { 248, 184, 120 } },
  { "Mellow Yellow", { 248, 222, 126 } },
  { "Melon", { 253, 188, 180 } },
  { "Midnight Blue", { 25, 25, 112 } },
  { "Mikado Yellow", { 255, 196, 12 } },
  { "Mint", { 62, 180, 137 } },
  { "Mint Cream", { 245, 255, 250 } },
  { "Mint Green", { 152, 255, 152 } },
  { "Misty Rose", { 255, 228, 225 } },
  { "Moccasin", { 250, 235, 215 } },
  { "Mode Beige", { 150, 113, 23 } },
  { "Moonstone Blue", { 115, 169, 194 } },
  { "Mordant Red 19", { 174, 12, 0 } },
  { "Moss Green", { 173, 223, 173 } },
  { "Mountain Meadow", { 48, 186, 143 } },
  { "Mountbatten Pink", { 153, 122, 141 } },
  { "Msu Green", { 24, 69, 59 } },
  { "Mulberry", { 197, 75, 140 } },
  { "Mustard", { 255, 219, 88 } },
  { "Myrtle", { 33, 66, 30 } },
  { "Nadeshiko Pink", { 246, 173, 198 } },
  { "Napier Green", { 42, 128, 0 } },
  { "Naples Yellow", { 250, 218, 94 } },
  { "Navajo White", { 255, 222, 173 } },
  { "Navy Blue", { 0, 0, 128 } },
  { "Neon Carrot", { 255, 163, 67 } },
  { "Neon Fuchsia", { 254, 65, 100 } },
  { "Neon Green", { 57, 255, 20 } },
  { "New York Pink", { 215, 131, 127 } },
  { "Non-Photo Blue", { 164, 221, 237 } },
  { "North Texas Green", { 5, 144, 51 } },
  { "Ocean Boat Blue", { 0, 119, 190 } },
  { "Ochre", { 204, 119, 34 } },
  { "Office Green", { 0, 128, 0 } },
  { "Old Gold", { 207, 181, 59 } },
  { "Old Lace", { 253, 245, 230 } },
  { "Old Lavender", { 121, 104, 120 } },
  { "Old Mauve", { 103, 49, 71 } },
  { "Old Rose", { 192, 128, 129 } },
  { "Olive", { 128, 128, 0 } },
  { "Olivine", { 154, 185, 115 } },
  { "Onyx", { 53, 56, 57 } },
  { "Opera Mauve", { 183, 132, 167 } },
  { "Orange", { 255, 127, 0 } },
  { "Orchid", { 218, 112, 214 } },
  { "Otter Brown", { 101, 67, 33 } },
  { "Ou Crimson Red", { 153, 0, 0 } },
  { "Outer Space", { 65, 74, 76 } },
  { "Outrageous Orange", { 255, 110, 74 } },
  { "Oxford Blue", { 0, 33, 71 } },
  { "Pakistan Green", { 0, 102, 0 } },
  { "Palatinate Blue", { 39, 59, 226 } },
  { "Palatinate Purple", { 104, 40, 96 } },
  { "Pale Aqua", { 188, 212, 230 } },
  { "Pale Blue", { 175, 238, 238 } },
  { "Pale Brown", { 152, 118, 84 } },
  { "Pale Carmine", { 175, 64, 53 } },
  { "Pale Cerulean", { 155, 196, 226 } },
  { "Pale Chestnut", { 221, 173, 175 } },
  { "Pale Copper", { 218, 138, 103 } },
  { "Pale Cornflower Blue", { 171, 205, 239 } },
  { "Pale Gold", { 230, 190, 138 } },
  { "Pale Goldenrod", { 238, 232, 170 } },
  { "Pale Green", { 152, 251, 152 } },
  { "Pale Lavender", { 220, 208, 255 } },
  { "Pale Magenta", { 249, 132, 229 } },
  { "Pale Pink", { 250, 218, 221 } },
  { "Pale Plum", { 221, 160, 221 } },
  { "Pale Red-Violet", { 219, 112, 147 } },
  { "Pale Robin Egg Blue", { 150, 222, 209 } },
  { "Pale Silver", { 201, 192, 187 } },
  { "Pale Spring Bud", { 236, 235, 189 } },
  { "Pale Taupe", { 188, 152, 126 } },
  { "Pale Violet-Red", { 219, 112, 147 } },
  { "Pansy Purple", { 120, 24, 74 } },
  { "Papaya Whip", { 255, 239, 213 } },
  { "Paris Green", { 80, 200, 120 } },
  { "Pastel Blue", { 174, 198, 207 } },
  { "Pastel Brown", { 131, 105, 83 } },
  { "Pastel Gray", { 207, 207, 196 } },
  { "Pastel Green", { 119, 221, 119 } },
  { "Pastel Magenta", { 244, 154, 194 } },
  { "Pastel Orange", { 255, 179, 71 } },
  { "Pastel Pink", { 222, 165, 164 } },
  { "Pastel Purple", { 179, 158, 181 } },
  { "Pastel Red", { 255, 105, 97 } },
  { "Pastel Violet", { 203, 153, 201 } },
  { "Pastel Yellow", { 253, 253, 150 } },
  { "Patriarch", { 128, 0, 128 } },
  { "Payne'S Grey", { 83, 104, 120 } },
  { "Peach", { 255, 229, 180 } },
  { "Peach-Orange", { 255, 204, 153 } },
  { "Peach Puff", { 255, 218, 185 } },
  { "Peach-Yellow", { 250, 223, 173 } },
  { "Pear", { 209, 226, 49 } },
  { "Pearl", { 234, 224, 200 } },
  { "Pearl Aqua", { 136, 216, 192 } },
  { "Pearly Purple", { 183, 104, 162 } },
  { "Peridot", { 230, 226, 0 } },
  { "Periwinkle", { 204, 204, 255 } },
  { "Persian Blue", { 28, 57, 187 } },
  { "Persian Green", { 0, 166, 147 } },
  { "Persian Indigo", { 50, 18, 122 } },
  { "Persian Orange", { 217, 144, 88 } },
  { "Persian Pink", { 247, 127, 190 } },
  { "Persian Plum", { 112, 28, 28 } },
  { "Persian Red", { 204, 51, 51 } },
  { "Persian Rose", { 254, 40, 162 } },
  { "Persimmon", { 236, 88, 0 } },
  { "Peru", { 205, 133, 63 } },
  { "Phlox", { 223, 0, 255 } },
  { "Phthalo Blue", { 0, 15, 137 } },
  { "Phthalo Green", { 18, 53, 36 } },
  { "Piggy Pink", { 253, 221, 230 } },
  { "Pine Green", { 1, 121, 111 } },
  { "Pink", { 255, 192, 203 } },
  { "Pink Lace", { 255, 221, 244 } },
  { "Pink-Orange", { 255, 153, 102 } },
  { "Pink Pearl", { 231, 172, 207 } },
  { "Pink Sherbet", { 247, 143, 167 } },
  { "Pistachio", { 147, 197, 114 } },
  { "Platinum", { 229, 228, 226 } },
  { "Plum", { 142, 69, 133 } },
  { "Portland Orange", { 255, 90, 54 } },
  { "Powder Blue", { 176, 224, 230 } },
  { "Princeton Orange", { 255, 143, 0 } },
  { "Prune", { 112, 28, 28 } },
  { "Prussian Blue", { 0, 49, 83 } },
  { "Psychedelic Purple", { 223, 0, 255 } },
  { "Puce", { 204, 136, 153 } },
  { "Pumpkin", { 255, 117, 24 } },
  { "Purple Heart", { 105, 53, 156 } },
  { "Purple", { 128, 0, 128 } },
  { "Purple Mountain Majesty", { 150, 120, 182 } },
  { "Purple Pizzazz", { 254, 78, 218 } },
  { "Purple Taupe", { 80, 64, 77 } },
  { "Quartz", { 81, 72, 79 } },
  { "Rackley", { 93, 138, 168 } },
  { "Radical Red", { 255, 53, 94 } },
  { "Rajah", { 251, 171, 96 } },
  { "Raspberry", { 227, 11, 93 } },
  { "Raspberry Glace", { 145, 95, 109 } },
  { "Raspberry Pink", { 226, 80, 152 } },
  { "Raspberry Rose", { 179, 68, 108 } },
  { "Raw Umber", { 130, 102, 68 } },
  { "Razzle Dazzle Rose", { 255, 51, 204 } },
  { "Razzmatazz", { 227, 37, 107 } },
  { "Red", { 255, 0, 0 } },
  { "Red-Brown", { 165, 42, 42 } },
  { "Red Devil", { 134, 1, 17 } },
  { "Red-Orange", { 255, 83, 73 } },
  { "Red-Violet", { 199, 21, 133 } },
  { "Redwood", { 171, 78, 82 } },
  { "Regalia", { 82, 45, 128 } },
  { "Resolution Blue", { 0, 35, 135 } },
  { "Rich Black", { 0, 64, 64 } },
  { "Rich Brilliant Lavender", { 241, 167, 254 } },
  { "Rich Carmine", { 215, 0, 64 } },
  { "Rich Electric Blue", { 8, 146, 208 } },
  { "Rich Lavender", { 167, 107, 207 } },
  { "Rich Lilac", { 182, 102, 210 } },
  { "Rich Maroon", { 176, 48, 96 } },
  { "Rifle Green", { 65, 72, 51 } },
  { "Robin Egg Blue", { 0, 204, 204 } },
  { "Rose", { 255, 0, 127 } },
  { "Rose Bonbon", { 249, 66, 158 } },
  { "Rose Ebony", { 103, 72, 70 } },
  { "Rose Gold", { 183, 110, 121 } },
  { "Rose Madder", { 227, 38, 54 } },
  { "Rose Pink", { 255, 102, 204 } },
  { "Rose Quartz", { 170, 152, 169 } },
  { "Rose Taupe", { 144, 93, 93 } },
  { "Rose Vale", { 171, 78, 82 } },
  { "Rosewood", { 101, 0, 11 } },
  { "Rosso Corsa", { 212, 0, 0 } },
  { "Rosy Brown", { 188, 143, 143 } },
  { "Royal Azure", { 0, 56, 168 } },
  { "Royal Blue", { 0, 35, 102 } },
  { "Royal Fuchsia", { 202, 44, 146 } },
  { "Royal Purple", { 120, 81, 169 } },
  { "Royal Yellow", { 250, 218, 94 } },
  { "Rubine Red", { 209, 0, 86 } },
  { "Ruby", { 224, 17, 95 } },
  { "Ruby Red", { 155, 17, 30 } },
  { "Ruddy", { 255, 0, 40 } },
  { "Ruddy Brown", { 187, 101, 40 } },
  { "Ruddy Pink", { 225, 142, 150 } },
  { "Rufous", { 168, 28, 7 } },
  { "Russet", { 128, 70, 27 } },
  { "Rust", { 183, 65, 14 } },
  { "Rusty Red", { 218, 44, 67 } },
  { "Sacramento State Green", { 0, 86, 63 } },
  { "Saddle Brown", { 139, 69, 19 } },
  { "Safety Orange", { 255, 103, 0 } },
  { "Saffron", { 244, 196, 48 } },
  { "Salmon", { 255, 140, 105 } },
  { "Salmon Pink", { 255, 145, 164 } },
  { "Sand", { 194, 178, 128 } },
  { "Sand Dune", { 150, 113, 23 } },
  { "Sandstorm", { 236, 213, 64 } },
  { "Sandy Brown", { 244, 164, 96 } },
  { "Sandy Taupe", { 150, 113, 23 } },
  { "Sangria", { 146, 0, 10 } },
  { "Sap Green", { 80, 125, 42 } },
  { "Sapphire", { 15, 82, 186 } },
  { "Sapphire Blue", { 0, 103, 165 } },
  { "Satin Sheen Gold", { 203, 161, 53 } },
  { "Scarlet", { 255, 36, 0 } },
  { "School Bus Yellow", { 255, 216, 0 } },
  { "Screamin' Green", { 118, 255, 122 } },
  { "Sea Blue", { 0, 105, 148 } },
  { "Sea Green", { 46, 139, 87 } },
  { "Seal Brown", { 50, 20, 20 } },
  { "Seashell", { 255, 245, 238 } },
  { "Selective Yellow", { 255, 186, 0 } },
  { "Sepia", { 112, 66, 20 } },
  { "Shadow", { 138, 121, 93 } },
  { "Shamrock Green", { 0, 158, 96 } },
  { "Shocking Pink", { 252, 15, 192 } },
  { "Sienna", { 136, 45, 23 } },
  { "Silver", { 192, 192, 192 } },
  { "Sinopia", { 203, 65, 11 } },
  { "Skobeloff", { 0, 116, 116 } },
  { "Sky Blue", { 135, 206, 235 } },
  { "Sky Magenta", { 207, 113, 175 } },
  { "Slate Blue", { 106, 90, 205 } },
  { "Slate Gray", { 112, 128, 144 } },
  { "Smokey Topaz", { 147, 61, 65 } },
  { "Smoky Black", { 16, 12, 8 } },
  { "Snow", { 255, 250, 250 } },
  { "Spiro Disco Ball", { 15, 192, 252 } },
  { "Spring Bud", { 167, 252, 0 } },
  { "Spring Green", { 0, 255, 127 } },
  { "St. Patrick'S Blue", { 35, 41, 122 } },
  { "Steel Blue", { 70, 130, 180 } },
  { "Stil De Grain Yellow", { 250, 218, 94 } },
  { "Stizza", { 153, 0, 0 } },
  { "Stormcloud", { 79, 102, 106 } },
  { "Straw", { 228, 217, 111 } },
  { "Sunglow", { 255, 204, 51 } },
  { "Sunset", { 250, 214, 165 } },
  { "Tan", { 210, 180, 140 } },
  { "Tangelo", { 249, 77, 0 } },
  { "Tangerine", { 242, 133, 0 } },
  { "Tangerine Yellow", { 255, 204, 0 } },
  { "Tango Pink", { 228, 113, 122 } },
  { "Taupe", { 72, 60, 50 } },
  { "Taupe Gray", { 139, 133, 137 } },
  { "Tea Green", { 208, 240, 192 } },
  { "Teal", { 0, 128, 128 } },
  { "Teal Blue", { 54, 117, 136 } },
  { "Teal Green", { 0, 130, 127 } },
  { "Telemagenta", { 207, 52, 118 } },
  { "Terra Cotta", { 226, 114, 91 } },
  { "Thistle", { 216, 191, 216 } },
  { "Thulian Pink", { 222, 111, 161 } },
  { "Tickle Me Pink", { 252, 137, 172 } },
  { "Tiffany Blue", { 10, 186, 181 } },
  { "Tiger'S Eye", { 224, 141, 60 } },
  { "Timberwolf", { 219, 215, 210 } },
  { "Titanium Yellow", { 238, 230, 0 } },
  { "Tomato", { 255, 99, 71 } },
  { "Toolbox", { 116, 108, 192 } },
  { "Topaz", { 255, 200, 124 } },
  { "Tractor Red", { 253, 14, 53 } },
  { "Trolley Grey", { 128, 128, 128 } },
  { "Tropical Rain Forest", { 0, 117, 94 } },
  { "True Blue", { 0, 115, 207 } },
  { "Tufts Blue", { 65, 125, 193 } },
  { "Tumbleweed", { 222, 170, 136 } },
  { "Turkish Rose", { 181, 114, 129 } },
  { "Turquoise", { 48, 213, 200 } },
  { "Turquoise Blue", { 0, 255, 239 } },
  { "Turquoise Green", { 160, 214, 180 } },
  { "Tuscan Red", { 124, 72, 72 } },
  { "Twilight Lavender", { 138, 73, 107 } },
  { "Tyrian Purple", { 102, 2, 60 } },
  { "Ua Blue", { 0, 51, 170 } },
  { "Ua Red", { 217, 0, 76 } },
  { "Ube", { 136, 120, 195 } },
  { "Ucla Blue", { 83, 104, 149 } },
  { "Ucla Gold", { 255, 179, 0 } },
  { "Ufo Green", { 60, 208, 112 } },
  { "Ultra Pink", { 255, 111, 255 } },
  { "Ultramarine", { 18, 10, 143 } },
  { "Ultramarine Blue", { 65, 102, 245 } },
  { "Umber", { 99, 81, 71 } },
  { "Unbleached Silk", { 255, 221, 202 } },
  { "United Nations Blue", { 91, 146, 229 } },
  { "University Of California Gold", { 183, 135, 39 } },
  { "Unmellow Yellow", { 255, 255, 102 } },
  { "Up Forest Green", { 1, 68, 33 } },
  { "Up Maroon", { 123, 17, 19 } },
  { "Upsdell Red", { 174, 32, 41 } },
  { "Urobilin", { 225, 173, 33 } },
  { "Usafa Blue", { 0, 79, 152 } },
  { "Usc Cardinal", { 153, 0, 0 } },
  { "Usc Gold", { 255, 204, 0 } },
  { "Utah Crimson", { 211, 0, 63 } },
  { "Vanilla", { 243, 229, 171 } },
  { "Vegas Gold", { 197, 179, 88 } },
  { "Venetian Red", { 200, 8, 21 } },
  { "Verdigris", { 67, 179, 174 } },
  { "Vermilion", { 227, 66, 52 } },
  { "Veronica", { 160, 32, 240 } },
  { "Violet", { 143, 0, 255 } },
  { "Violet-Blue", { 50, 74, 178 } },
  { "Violet (Color Wheel)", { 127, 0, 255 } },
  { "Viridian", { 64, 130, 109 } },
  { "Vivid Auburn", { 146, 39, 36 } },
  { "Vivid Burgundy", { 159, 29, 53 } },
  { "Vivid Cerise", { 218, 29, 129 } },
  { "Vivid Tangerine", { 255, 160, 137 } },
  { "Vivid Violet", { 159, 0, 255 } },
  { "Warm Black", { 0, 66, 66 } },
  { "Waterspout", { 164, 244, 249 } },
  { "Wenge", { 100, 84, 82 } },
  { "Wheat", { 245, 222, 179 } },
  { "White", { 255, 255, 255 } },
  { "White Smoke", { 245, 245, 245 } },
  { "Wild Blue Yonder", { 162, 173, 208 } },
  { "Wild Strawberry", { 255, 67, 164 } },
  { "Wild Watermelon", { 252, 108, 133 } },
  { "Wine", { 114, 47, 55 } },
  { "Wine Dregs", { 103, 49, 71 } },
  { "Wisteria", { 201, 160, 220 } },
  { "Wood Brown", { 193, 154, 107 } },
  { "Xanadu", { 115, 134, 120 } },
  { "Yale Blue", { 15, 77, 146 } },
  { "Yellow", { 255, 255, 0 } },
  { "Yellow-Green", { 154, 205, 50 } },
  { "Yellow Orange", { 255, 174, 66 } },
  { "Zaffre", { 0, 20, 168 } },
  { "Zinnwaldite Brown", { 44, 22, 8 } },
  {0, {0, 0, 0}},
};

ColorInfo colorForName(const char *name) {
    String needleName(name);
    needleName.toLowerCase();
    for (int i = 0; color_data[i].name != 0; i++) {
        String colorName(color_data[i].name);
        colorName.toLowerCase();
        if (colorName == needleName) {
            return color_data[i];
        } 
    }
    return ColorInfo();
}

const ColorInfo* allColors() {
    return color_data;
}
